
/* ===================================
menu button
=================================== */
#menu_btn_block {
  position: fixed;
  top: 5svh;
  left: 5vw;
  flex-direction: unset;
  width: auto;
  height: 1.5em;
  z-index: 1;
  cursor: pointer;
  /* border: 1px white solid; */
}

#menu_btn_bars {
  width: 5vw;
  height: 100%;
  margin-top: 0.15em;
  margin-right: 0.8vw;
  z-index: 1;
  /* border: 1px white solid; */
}

#menu_btn_bars hr {
  color: #FEF1ED;
  width: 100%;
  height: 0px;
	border: 0;
	border-top: min(1px, 0.25vw) solid #FEF1ED;
	margin-top: 0.3em;
  margin-bottom: 0.3em;
	padding: 0;
	left: 0vw;
	top: 0vh;
}

#menu_btn_logo_block {
  height: 1.5em;
  /* width: auto; */
  align-items: center;
  z-index: 1;
  color: #FEF1ED;
  align-items: unset;
  
  /* border: 1px white solid; */
}

#menu_btn_logo_block h1 {
  all: unset;
  display: flex;
  justify-content: left;
  align-items: unset;
  /* border: 1px white solid; */
}

#menu_btn_logo {
  /* position: absolute; */
  object-fit: unset;
  height: 1.2em;
  /* border: 1px white solid; */
}

#menu_btn_text {
  font-family: 'questa', serif;
  position: absolute;
  /* border: 1px white solid; */
  white-space: nowrap;
}

/* ===================================
menu page
=================================== */
#menu {
  height: 0%; /* 100% Full-height */
  width: 100%; /* 0 width - change this with JavaScript */
  opacity: 0%;
  position: absolute; /* Stay in place */
  z-index: 3; /* Stay on top */
  top: 0; /* Stay at the top */
  left: 0%;
  background-color: rgba(0, 0, 0, 0.9);
  overflow: hidden; /* Disable horizontal scroll */
  transition: opacity 1s;

}

#menu .menu_item {
  margin-top: 1vw;
  font-family: 'Playfair Display', serif;
	font-weight: 400;
	white-space: nowrap;
	user-select: none;
  text-decoration: none;
  color: #FEF1ED;
  /* transition: 0.3s; */
}

#menu a:hover {
  color: #f1f1f1;
  cursor: pointer;
}


#menu #closebtn {
  position: absolute;
  top: 10vh;
  right: 20vw;
  /* border: 1px white solid; */
}
#menu_closebtn {
  width: 1.6em;
}

#menu_link_block {
	margin-top: 5vh;
	flex-direction: unset;
  width: 60%;
  justify-content: space-between;
	/* border: solid white 1px; */
}

#menu_link_block a img {
  height: 2.5em;
}

#menu .link_button {
  margin-left: 2.5vh;
  margin-right: 2.5vh;
}


/* ===================================
contact button
=================================== */
#contact_btn {
  position: fixed;
  top: 5svh;
  right: 5%;
  transform: translate(0%, 0%);
  z-index: 2;
  margin-top: 0.15em;
  cursor: pointer;
  color: #FEF1ED;
  /* border: 1px white solid; */
}

#contact_btn_text {
  font-family: 'Satoshi-Light', serif;
  text-decoration: underline;
  height: 100%;
  align-items: center;
  z-index: 2;
  
}

/* ===================================
contact page
=================================== */
#contact {
  height: 0%; /* 100% Full-height */
  width: 100%; /* 0 width - change this with JavaScript */
  position: absolute; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0; /* Stay at the top */
  left: 0%;
  background-color: white;
  overflow: hidden; /* Disable horizontal scroll */
  transition: 1s; /* 0.5 second transition effect to slide in the sidenav */
  
}

#contact_block {
  flex-direction: column;
  width: 85%;
  align-items: unset;
  /* border: 1px black solid; */
}

#contact_left_block {
  height: fit-content;
  /* margin-right: 4vw; */
  /* border: 1px black solid; */
  align-items: unset;
}

#contact_title {
  color: black;
  border-bottom: min(1px, 0.25vw) black solid;
  padding-bottom: 2vh;
  margin-bottom: 2vh;
}

#contact_subtitle {
  color: black;
}

#contact_subtitle_text1 {
  display: none;
}

#contact_link_block {
  display: none;
  position: absolute;
	top: 70svh;
	left: 50%;
	transform: translate(-50%, 0%);
  flex-direction: unset;
  justify-content: unset;
  margin-top: 10vh;
  border: min(1px, 0.25vw) black solid;
}

#contact_link_block .link_button {
  margin-left: unset;
  margin-right: 2vw;
  color: black;
}

#contact_right_block {
  margin-top: 10svh;
  align-items: unset;
  width: 100%;
  /* border: 1px black solid; */
}

.contact_input_box input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active,
input:-internal-autofill-selected{
    -webkit-background-clip: text;
    -webkit-text-fill-color: black;
    transition: background-color 5000s ease-in-out 0s;
    box-shadow: inset 0 0 20px 20px #23232300;
}


#contact_right_block .eblock {
  border-bottom: min(1px, 0.25vw) black solid;
  margin-bottom: 2%;
  height: 0;
}

.contact_input_box {
	width: 100%;
  font-family: 'Satoshi-Regular', serif;
	font-size: 1.4em;
	caret-color: black;
	color: black;
	background-color: transparent;
	border: none;
  /* border: 1px black solid; */
}

#contact_input_message {
  font-family: 'Satoshi-Regular', serif;
	font-size: 1.4em;
  resize: none;
  background-color: transparent;
  border: none;
}

#contact_name {
  margin-bottom: 2%;
  color: black;
}

#contact_email {
  margin-bottom: 2%;
  color: black;
}

#contact_message {
  margin-bottom: 2%;
  color: black;
}

#contact_send_block {
  flex-direction: unset;
  justify-content: end;
  /* border: 1px black solid; */
}

#contact_status {
  font-family: 'Satoshi-Regular', serif;
	font-size: 1.4em;
}

#contact_send {
  margin-left: 5vw;
  align-items: center;
  color: black;
  background-color: transparent;
  border: none;
  /* border: 1px black solid; */
  cursor: pointer;
}


/* ===================================
footer page
=================================== */

#footer {
  display: none;
  height: 0%; /* 100% Full-height */
  width: 100%; /* 0 width - change this with JavaScript */
  position: absolute; /* Stay in place */
  z-index: 1; /* Stay on top */
  bottom: 0%; /* Stay at the top */
  left: 0%;
  background-color: black;
  overflow: hidden; /* Disable horizontal scroll */
  transition: 1s; /* 0.5 second transition effect to slide in the sidenav */
  flex-direction: unset;
  justify-content: space-between;
}

#footer_page {
  width: 100%;
}

#footer .block {
  margin-left: 10%;
  margin-right: 10%;
  height: fit-content;
}

#footer_info {
  position: absolute;
	top: 12svh;
	left: 50%;
	transform: translate(-50%, 0%);
  width: 100%;
  /* border: 1px white solid; */
}

#footer_info_logo {
  object-fit: unset;
  width: min(300px, 75dvw);
  margin-bottom: 2vh;
  /* border: 1px white solid; */
}

#footer_info_text {
  color: #FEF1ED;
}

#footer_info_divider {
  margin-top: 3vh;
  width: min(300px, 75dvw);
}

#footer_menu {
  position: absolute;
	top: 32svh;
	left: 50%;
  width: 80%;
	transform: translate(-50%, 0%);
  /* border: 1px white solid; */
}

#footer_menu h6 {
  font-size: 1.8em;
}

#footer_menu .menu_item {
  margin-bottom: 0.5vh;
  font-family: 'Playfair Display', serif;
	font-weight: 400;
	white-space: nowrap;
	user-select: none;
  text-decoration: none;
  color: #FEF1ED;
  /* transition: 0.3s; */
}

#footer_link {
  position: absolute;
	top: 70svh;
	left: 50%;
	transform: translate(-50%, 0%);
  width: min(400px, 80dvw);
  /* border: 1px white solid; */
  align-items: unset;
}

#footer_link_text {
  text-align: left;
  width: fit-content;
  /* border: 1px white solid; */
  color: #FEF1ED;
}

#footer_link_box {
  padding-top: 1vh;
  flex-direction: unset;
  /* border: 1px white solid; */
}

#footer_link_box a {
  width: 3em;
  margin: 5%;
  /* border: 1px white solid; */
}
#footer_link_box a .image {
  width: 3em;
  /* border: 1px white solid; */
}

#footer_subscribe_text {
  text-align: left;
  width: fit-content;
  /* border: 1px white solid; */
  color: #FEF1ED;
}

#footer_subscribe_action {
	font-family: 'Satoshi-Light', serif;
	font-weight: 400;
	/* font-size: 0.8em; */
	/* white-space: nowrap; */
	color: #FEF1ED;
}

#footer_subscribe_alert {
	font-family: 'Satoshi-Light', serif;
	font-weight: 400;
	font-size: 0.8em;
	/* white-space: nowrap; */
	color: #FEF1ED;
}

#footer_subscribe_field_block {
  display: flex;
  width: 100%;
	border-bottom: solid #FEF1ED min(1px, 0.25vw);
}

#footer_subscribe_field_inner_block {
  flex: auto;
}

#footer_subscribe_field {
	width: 100%;
	font-family: 'Satoshi-Light', serif;
	font-weight: 400;
	font-size: 1.2em;
	caret-color: #FEF1ED;
	color: #FEF1ED;
	background-color: transparent;
	border: none;
}

#footer_subscribe_submit {
	flex: none;
	width: auto;
	text-align: right;
	font-family: 'Satoshi-Light', serif;
	font-weight: 400;
	color: #FEF1ED;
	background-color: transparent;
	border: none;
	cursor:pointer;
	display: flex;
	align-items: center;
	/* border: solid white 1px; */
}

#footer_subscribe_submit_arrow {
	margin-left: 0.5vw;
}